using System.Numerics;

namespace Luski.Classes.Attribs;

[AttributeUsage(AttributeTargets.Property)]
public class NumberSelectorAttribute : Attribute
{
    public NumberSelectorAttribute(Type propertyType)
    {
        Kind = propertyType;
    }
    
    public Type Kind { get; init; }
}